felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (FELIX-5646) Missing EE and system packages for Java 9
Date Tue, 23 May 2017 16:53:04 GMT

    [ https://issues.apache.org/jira/browse/FELIX-5646?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16021462#comment-16021462
] 

ASF GitHub Bot commented on FELIX-5646:
---------------------------------------

GitHub user njbartlett opened a pull request:

    https://github.com/apache/felix/pull/108

    Fix JavaSE 9 EEs and package definitions in default.properties

    From Java 9 onwards, the capability version is 9,10,etc (NOT 1.9,1.10 etc). See
    https://www.osgi.org/developer/specifications/reference/
    
    Also java.specification.version reports "9" not "1.9".
    
    Fixes https://issues.apache.org/jira/browse/FELIX-5646
    
    Signed-off-by: Neil Bartlett <njbartlett@gmail.com>

You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/njbartlett/felix trunk

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/felix/pull/108.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #108
    
----
commit c658245dc47e7dd5dddf473ee91a64462ca6bf17
Author: Neil Bartlett <njbartlett@gmail.com>
Date:   2017-05-23T16:49:11Z

    Fix JavaSE 9 EEs and package definitions in default.properties
    
    From Java 9 onwards, the capability version is 9,10,etc (NOT 1.9,1.10 etc). See
    https://www.osgi.org/developer/specifications/reference/
    
    Also java.specification.version reports "9" not "1.9".
    
    Fixes https://issues.apache.org/jira/browse/FELIX-5646
    
    Signed-off-by: Neil Bartlett <njbartlett@gmail.com>

----


> Missing EE and system packages for Java 9
> -----------------------------------------
>
>                 Key: FELIX-5646
>                 URL: https://issues.apache.org/jira/browse/FELIX-5646
>             Project: Felix
>          Issue Type: Bug
>          Components: Framework
>    Affects Versions: framework-5.6.2
>            Reporter: Neil Bartlett
>
> The default.properties file has added JRE exports for jre-1.9, however these are not
picked up. Also there is no definition for ee-1.9 or eecap-1.9.
> Java 9 provides the following system properties:
>   java.runtime.name: Java(TM) SE Runtime Environment
>   java.runtime.version: 9-ea+169
>   java.specification.name: Java Platform API Specification
>   java.specification.vendor: Oracle Corporation
>   java.specification.version: 9
> ... and default.properties uses the value of java.specification-version as the suffix
to ee-*, eecap-* and jre-*. We are expecting "1.9" but the actual value is just "9".
> This problem causes basically ALL bundles to fail to resolve on Felix 5.6.2 under Java
9.



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message